﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.Misc;

namespace UltraTilePanelResize
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraTilePanel1.CreationFilter = new CreatingButtonUIElement();
        }
    }

    public class CreatingButtonUIElement : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            TileHeaderUIElement El = parent as TileHeaderUIElement;
            //TileCaptionUIElement El = parent as TileCaptionUIElement;

            if (El != null)
            {
                // First Option
                TileHeaderButtonUIElement button = new TileHeaderButtonUIElement(El, TileHeaderButtonType.Close);
                button.Rect = new Rectangle(El.Rect.X + El.Rect.Width -60, El.Rect.Y, 35, 18);
                El.ChildElements.Add(button);

                // Second Option
                ButtonUIElement bb = new ButtonUIElement(El);
                bb.Rect = new Rectangle(El.Rect.X + El.Rect.Width - 100, El.Rect.Y, 35, 18);
                bb.Text = "V";
                El.ChildElements.Add(bb);
                bb.ElementClick += new UIElementEventHandler(bb_ElementClick);
            }
        }

        void bb_ElementClick(object sender, UIElementEventArgs e)
        {
            MessageBox.Show("New UI element is clicked");
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
